scala.tools.nsc

# reporters

#### package reporters

Content Hierarchy Learn more about scaladoc diagrams
Visibility

1. Public
2. All

### Type Members

1. #### abstract class AbstractReporter extends Reporter

   This reporter implements filtering.

2. #### class ConsoleReporter extends AbstractReporter

   This class implements a Reporter that displays messages on a text console.

3. #### abstract class Reporter extends AnyRef

   This interface provides methods to issue information, warning and error messages.

4. #### class StoreReporter extends Reporter

   This class implements a Reporter that displays messages on a text console.

### Ungrouped